Package org.globus.ftp.dc

# Class TransferSinkThread

java.lang.Object
java.lang.Thread
org.globus.ftp.dc.TransferThread
org.globus.ftp.dc.TransferSinkThread

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `GridFTPTransferSinkThread`

public class TransferSinkThread extends TransferThread
Implements incoming transfer. While the transfer is in progress, replies are sent to the local control channel. Also any failure messages go there in the form of a negative reply.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected TransferContext`
`context`
`protected BasicServerControlChannel`
`localControlChannel`
`protected static org.apache.commons.logging.Log`
`logger`
`protected DataChannelReader`
`reader`
`protected DataSink`
`sink`
`protected SocketBox`
`socketBox`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`TransferSinkThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`copy()`
`void`
`run()`
`protected void`
`shutdown(Object quitToken)`
`protected void`
`startup()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### logger

protected static org.apache.commons.logging.Log logger

### reader

protected DataChannelReader reader

### sink

protected DataSink sink

### localControlChannel

protected BasicServerControlChannel localControlChannel

### context

protected TransferContext context

### socketBox

protected SocketBox socketBox

## Constructor Details

### TransferSinkThread

public TransferSinkThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context) throws Exception

Throws:
  `Exception`

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

### startup

protected void startup() throws Exception

Throws:
  `Exception`

### copy

protected void copy() throws Exception

Throws:
  `Exception`

### shutdown

protected void shutdown(Object quitToken) throws IOException

Throws:
  `IOException`